# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_FacetedTool Class Reference

This Tool Class provides Information about Faceted Shapes
to be mapped to STEP.
.

`#include <TopoDSToStep_FacetedTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT TopoDSToStep_FacetedError | CheckTopoDSShape (const TopoDS_Shape &SH)

## Member Function Documentation

static Standard_EXPORT TopoDSToStep_FacetedError TopoDSToStep_FacetedTool::CheckTopoDSShape | ( | const TopoDS_Shape & | SH | ) | `[static]`

void TopoDSToStep_FacetedTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TopoDSToStep_FacetedTool::operator new | ( | size_t | size | ) | `[inline]`

void* TopoDSToStep_FacetedTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TopoDSToStep_FacetedTool.hxx